#ifndef PY_HPP
#define PY_HPP PyTarget
using namespace StandardComponents;

struct PyTarget: Target {
    bool supportsOneLine() final { return false; }
    unordered_task_map getTaskMap() final {
        return {
            make_task(Define, output << parseComponent.name << " = ";),
            make_task(types::String, stringInterpolation(R"(""")", parseComponent.content);)
        };
    }
    using Target::Target;
};

#endif